html {
  font-family: "Roboto", "Ubuntu", "Segoe UI", "Arial", "sans-serif";
  background: #eeeeee;
}
html, html body {
  margin: 0;
  scroll-behavior: smooth;
}

body {
  padding-top: 52px;
}

main {
  margin: 5px;
  font-size: 18px;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  width: 100vw;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  background: #1976d2;
  height: 52px;
  box-sizing: border-box;
  padding: 5px;
  color: #eeeeee;
  font-size: 52px;
  z-index: 14;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
}
header h1 {
  padding: 0;
  margin: 0;
  font-size: 32px;
}
header h1 a {
  margin: 0;
  margin-top: -0.125em;
  position: absolute;
}
header h1 a, header h1 a img {
  padding: 0;
  height: 1.5em;
}

@-webkit-keyframes wobble {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(1.25deg);
            transform: rotate(1.25deg);
  }
  50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  75% {
    -webkit-transform: rotate(-1.25deg);
            transform: rotate(-1.25deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@keyframes wobble {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(1.25deg);
            transform: rotate(1.25deg);
  }
  50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  75% {
    -webkit-transform: rotate(-1.25deg);
            transform: rotate(-1.25deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
nav {
  position: fixed;
  top: 0;
  right: 24px;
  height: 1em;
  font-size: 0.4em;
  margin-right: calc(100% - 100vw);
}
nav a {
  color: #eeeeee;
  padding: 0.6em;
  padding-left: 20px;
  padding-right: 20px;
  display: inline-block;
  -webkit-transition: ease-in-out 250ms;
  transition: ease-in-out 250ms;
  box-sizing: border-box;
  height: 52px;
}
@media only screen and (min-width: 700px) {
  nav a:hover, nav a[href="#start"] {
    padding-bottom: 0.3em;
    border-bottom: 0.3em solid #eeeeee;
  }
  nav a:hover:focus:not([href="#start"]) {
    -webkit-animation: wobble 250ms infinite;
            animation: wobble 250ms infinite;
    -webkit-animation-delay: 250ms;
            animation-delay: 250ms;
  }
}

a {
  text-decoration: none;
}

#hamburger, #hamburger + label {
  display: none;
}

img, textarea, #email-submitted, .email-form input[name="subject"], .email-form {
  max-width: 100%;
  max-width: 95vw;
  max-width: calc(99vw - 12.5px);
}

main img {
  border-radius: 5px;
  border: 1px solid #1976d2;
}

input, textarea {
  font-size: 16px;
  font-family: "Roboto", "Ubuntu", "Segoe UI", "Arial", "sans-serif";
}

.parallax {
  min-height: 100vh;
  background: -webkit-linear-gradient(rgba(0, 0, 1, 0.1), rgba(0, 0, 1, 0.1)), url("background.jpg");
  background: linear-gradient(rgba(0, 0, 1, 0.1), rgba(0, 0, 1, 0.1)), url("background.jpg");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  color: #eeeeee;
  text-align: center;
}
.parallax h1 {
  position: -webkit-sticky;
  position: sticky;
  top: 77px;
  font-size: 25vmin;
  padding-top: 7.5vmin;
  margin: 0;
  font-weight: 600;
}
.parallax p {
  padding-top: 26vmin;
}

.flexbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-pack: distribute;
      justify-content: space-around;
}
.flexbox > * {
  margin-bottom: 10px;
}

.wrapper {
  display: none;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 30;
  position: fixed;
  background: rgba(0, 0, 0, 0.25);
}

a.photo {
  width: 400px;
  display: block;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
a.photo img {
  width: 400px;
  box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.25);
  -webkit-transition: box-shadow ease-in-out 250ms;
  transition: box-shadow ease-in-out 250ms;
}
@media only screen and (min-width: 700px) {
  a.photo {
    height: 302px;
  }
  a.photo img:hover, a.photo:focus img {
    box-shadow: 2px 2px 8px 4px rgba(0, 0, 0, 0.25);
  }
  a.photo:focus {
    pointer-events: none;
  }
  a.photo:focus img {
    position: fixed;
    top: 62px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    width: auto;
    height: 100%;
    max-width: calc(100vw - 30px);
    max-height: calc(100vh - 72px);
    z-index: 40;
    margin: auto;
    display: table;
  }
  a.photo:focus ~ .wrapper {
    display: block;
  }
}

.turbolinks-progress-bar {
  height: 52px;
  pointer-events: none;
  background: rgba(0, 0, 0, 0.25);
}

@media only screen and (max-width: 699px) {
  nav {
    pointer-events: none;
    max-width: 100%;
    max-width: 100vw;
    width: 250px;
    background-color: #eeeeee;
    -webkit-transition: ease-in-out 500ms;
    transition: ease-in-out 500ms;
    -webkit-transition-property: opacity, -webkit-transform;
    transition-property: opacity, -webkit-transform;
    transition-property: transform, opacity;
    transition-property: transform, opacity, -webkit-transform;
    -webkit-transform: translateX(100%);
            transform: translateX(100%);
    -webkit-transform: translateX(100vw);
            transform: translateX(100vw);
    top: 52px;
    right: -1px;
    height: 100%;
    height: 100vh;
    border-left: 1px solid #1976d2;
    z-index: 15;
    opacity: 0;
  }
  nav a {
    display: block;
    width: 100%;
    width: 100vw;
    box-sizing: border-box;
    color: #1976d2;
  }

  #hamburger {
    display: block;
    top: -100px;
    position: fixed;
  }
  #hamburger + label {
    display: block;
    top: 0.1em;
    right: 0.1em;
    height: 1.25em;
    font-size: 0.6em;
    padding: 0.1em;
    width: 1em;
    border: 1px solid #eeeeee;
    border-radius: 5px;
    position: fixed;
    color: #eeeeee;
    text-align: center;
    background-color: rgba(238, 238, 238, 0.25);
  }
  #hamburger + label span:last-of-type {
    display: none;
  }
  #hamburger:checked ~ nav {
    pointer-events: auto;
    -webkit-transform: translateX(-1px);
            transform: translateX(-1px);
    opacity: 1;
  }
  #hamburger:checked + label span:first-of-type {
    display: none;
  }
  #hamburger:checked + label span:last-of-type {
    display: block;
  }

  @supports not (object-fit: fill) {
    .parallax {
      background-color: #000;
      padding: 25px;
      padding-top: 50px;
    }

    #hamburger, #hamburger + label {
      display: none;
    }

    nav {
      border: none;
      -webkit-transform: translateX(0);
              transform: translateX(0);
      height: auto;
      opacity: 1;
      width: 100%;
      padding: 5px;
      text-align: center;
      pointer-events: auto;
    }
    nav a {
      display: inline;
      width: auto;
    }

    main {
      padding-top: 30px;
    }

    .email-form {
      display: none;
    }
  }
  .parallax h1 {
    font-size: 15vmin;
  }
  .parallax p {
    margin-top: 35vmin;
  }
}
#email-submitted {
  display: none;
  width: 500px;
}
#email-submitted:target {
  display: block;
  padding-top: 52px;
  margin-top: -52px;
}
#email-submitted:target ~ .email-form {
  display: none;
}

#email-submitted h3, .email-form h3 {
  margin-top: 0;
}

.email-form {
  width: 500px;
}
.email-form input {
  box-sizing: border-box;
}
.email-form input[name="name"], .email-form input[name="email"] {
  width: 250px;
  max-width: 45.5%;
  max-width: 45.5vw;
  max-width: calc(49.5vw - 6.25px);
}
.email-form input[name="subject"] {
  width: 500px;
}
.email-form input[name="trapit"] {
  display: none;
}
.email-form textarea {
  box-sizing: border-box;
  width: 500px;
  min-height: 250px;
  resize: vertical;
}
